Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat
Interface IContainer

All Known Subinterfaces:
  IFrame

All Known Implementing Classes:
  Container, Frame

    public interface IContainer

IContainer is an interface for Frame and Container classes.

(c) Copyright 2005-2007 DOMOLOGIC GmbH

Method Summary
`void` | `add(Component component)` Adds a component to this IContainer
`void` | `remove(Component component)` Removes a component from this IContainer.
`void` | `removeAll()` Removes all components from this IContainer.
`boolean` | `setDirty(Object source, int x, int y, int width, int height, int state, boolean b)` Marks all components inside this container that intersect the given bounds to be repainted.

Method Detail

### add

    void add(Component component)

  Adds a component to this IContainer

  Parameters:
    `component` - the component to add.

### remove

    void remove(Component component)

  Removes a component from this IContainer.

  Parameters:
    `component` - the component to remove

### removeAll

    void removeAll()

  Removes all components from this IContainer.

### setDirty

    boolean setDirty(Object source,
                     int x,
                     int y,
                     int width,
                     int height,
                     int state,
                     boolean b)

  Marks all components inside this container that intersect the given bounds to be repainted. This method should not be used by any application.

  Parameters:
    `Object` - source the calling object that must be a child of this container or null
    `x` -
    `y` -
    `width` -
    `height` -
    `state` - the state to set
  Returns:
    TODO

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD